.. _EntityType: ../../vim/dvs/EntityBackup/EntityType.rst

.. _EntityBackup: ../../vim/dvs/EntityBackup.rst

.. _vSphere API 5.1: ../../vim/version.rst#vimversionversion8

.. _EntityImportType: ../../vim/dvs/EntityBackup/ImportType.rst

.. _vmodl.DynamicData: ../../vmodl/DynamicData.rst

.. _EntityBackupConfig: ../../vim/dvs/EntityBackup/Config.rst


vim.dvs.EntityBackup
====================
   `EntityBackup`_ is an abstract data object that contains the related entity backup and restore elements for virtual distributed switches and virtual distributed portgroups. See the following elements:
   * `EntityBackupConfig`_
   * `EntityImportType`_
   * `EntityType`_
:extends: vmodl.DynamicData_
:since: `vSphere API 5.1`_

Attributes:
